#include "exceptionnullptr.h"

const char* ExceptionNullPtr::type="ExceptionNullPtr";

const char* ExceptionNullPtr::getType() const
{
	return type;
}

const string& ExceptionNullPtr::getMessage() const
{
	string res=string("Null pointer occured");
	if (className!=0) res=res+" on class "+className;
	return *(new string(res));
}
